GET /api/v1/documents
Last updated March 23, 2026
Latest documents from crawlers.
Request
GET /api/v1/documents
All endpoint requests require the X-SYNTHLINK-KEY header. See Authentication and Rate Limits.
Query parameters
NameTypeDescription
limitnumberMax records to return. Default: 10
sourcestringFilter by source (e.g. openai_news)
content_sourcestringOptional filter by content source (e.g. rss)
start_datestringOnly return records with created_at on or after an ISO 8601 date/date-time
end_datestringOnly return records with created_at on or before an ISO 8601 date/date-time
Examples
cURL
curl -H "X-SYNTHLINK-KEY: sk_live_your_key_here" "https://synth-link.com/api/v1/documents?limit=3&start_date=2026-03-20T00:00:00Z&end_date=2026-03-24T00:00:00Z"
Fetch
const res = await fetch("https://synth-link.com/api/v1/documents?limit=3&start_date=2026-03-20T00:00:00Z&end_date=2026-03-24T00:00:00Z", {
headers: { "X-SYNTHLINK-KEY": "sk_live_your_key_here" },
});
const data = await res.json();
console.log(data);Python
import requests
res = requests.get(
"https://synth-link.com/api/v1/documents?limit=3&start_date=2026-03-20T00:00:00Z&end_date=2026-03-24T00:00:00Z",
headers={"X-SYNTHLINK-KEY": "sk_live_your_key_here"},
timeout=10,
)
print(res.status_code)
print(res.json())Response example
[
{
"title": "GPT-4o System Card",
"url": "https://openai.com/...",
"summary": "Overview of GPT-4o capabilities...",
"content": "Full body text when available...",
"source": "openai_news",
"content_source": "rss",
"created_at": "2026-03-19T06:00:00Z"
}
]Related docs
For usage guidance and workflow context, see Querying Data.
Was this helpful?